package com.yeejoin.amos.iec104.business.param;

import java.io.Serializable;

public class AlarmParam implements Serializable {
	private static final long serialVersionUID = 1L;
	private String informationAddress; //转发码
	private int soe;
	private String state; // 值
	private String serviceId; //服务ID
	private int isInvalid; // 是否有效
	private String pointCode;

	
	public int getSoe() {
		return soe;
	}
	public void setSoe(int soe) {
		this.soe = soe;
	}
	public String getPointCode() {
		return pointCode;
	}
	public void setPointCode(String pointCode) {
		this.pointCode = pointCode;
	}
	public String getState() {
		return state;
	}
	public String getInformationAddress() {
		return informationAddress;
	}
	public void setInformationAddress(String informationAddress) {
		this.informationAddress = informationAddress;
	}

	public void setState(String state) {
		this.state = state;
	}
	public String getServiceId() {
		return serviceId;
	}
	public void setServiceId(String serviceId) {
		this.serviceId = serviceId;
	}
	
	public int getIsInvalid() {
		return isInvalid;
	}
	public void setIsInvalid(int isInvalid) {
		this.isInvalid = isInvalid;
	}
	@Override
	public String toString() {
		return "AlarmParam [informationAddress=" + informationAddress + ", soe=" + soe + ", state=" + state
				+ ", serviceId=" + serviceId + ", isInvalid=" + isInvalid + ", pointCode=" + pointCode + "]";
	}	
	
}
